import ReadingLogEntryEditModalView from "./ReadingLogEntryEditModalView.svelte";
import type { ReadingLogEntry } from "@src/types";
import { App } from "obsidian";
import { SvelteModal } from "./SvelteModal";

export class ReadingLogEntryEditModal extends SvelteModal<
	typeof ReadingLogEntryEditModalView
> {
	constructor(
		app: App,
		onSubmit?: (entry: ReadingLogEntry) => void,
		entry?: ReadingLogEntry
	) {
		super(app, ReadingLogEntryEditModalView, {
			props: { app, entry, onSubmit },
		});
	}
}
